ome-files 0.2.2

Public Member Functions | Public Attributes | List of all members
ome::files::tiff::FieldBase::Impl Class Reference

Internal implementation details of FieldBase. More...

## Public Member Functions
| Impl (ome::compat::shared_ptr< IFD > &ifd, tag_type tag)
| Constructor. More...
| ~Impl ()
| Destructor.
ome::compat::shared_ptr< IFD > | getIFD () const
| Get the directory this field belongs to. More...
::TIFF * | getTIFF ()
| Get the TIFF this field belongs to. More...
const ::TIFFField * | getFieldInfo ()
| Get information from libtiff about this field. More...

## Public Attributes
ome::compat::weak_ptr< IFD > | ifd
| Weak reference to the parent IFD.
tag_type | tag
| The tag being wrapped.
const ::TIFFField * | fieldinfo
| Field information for this tag.

## Detailed Description

Internal implementation details of FieldBase.

## Constructor & Destructor Documentation

## § Impl()

ome::files::tiff::FieldBase::Impl::Impl | ( | ome::compat::shared_ptr< IFD > & | ifd,
|  | tag_type | tag
| ) |  |
| inline

Constructor.

Parameters

  ifd | the directory the field belongs to.
  tag | the tag identifying this field.

## Member Function Documentation

## § getFieldInfo()

const ::TIFFField* ome::files::tiff::FieldBase::Impl::getFieldInfo | ( |  | ) |
| inline

Get information from libtiff about this field.

libtiff is not aware of every tag, or special-purpose private tags.

Returns
  the field information, or null if the tag was unknown.

References fieldinfo, and getTIFF().

## § getIFD()

ome::compat::shared_ptr<IFD> ome::files::tiff::FieldBase::Impl::getIFD | ( |  | ) | const
| inline

Get the directory this field belongs to.

Returns
  the directory.

References ifd.

Referenced by getTIFF().

Here is the caller graph for this function:

## § getTIFF()

::TIFF* ome::files::tiff::FieldBase::Impl::getTIFF | ( |  | ) |
| inline

Get the TIFF this field belongs to.

Note
  Needs wrapping in a sentry by the caller.

Returns
  a pointer to the underlying TIFF.

References getIFD().

Referenced by getFieldInfo().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- ome/files/tiff/Field.cpp